darcs

Issue 2270 darcs changes -i --only-to-files reports changes to all files

Title darcs changes -i --only-to-files reports changes to all files
Priority bug Status resolved
Milestone Resolved in 2.10.0 HEAD
Superseder Nosy List StefanWehr, ganesh
Assigned To
Topics

Created on 2012-11-16.22:05:15 by StefanWehr, last changed 2013-02-16.15:58:53 by noreply.

Files
File name Uploaded Type Edit Remove
changes-only-to-files.sh StefanWehr, 2012-11-16.22:05:12 application/octet-stream
Messages
msg16372 (view) Author: StefanWehr Date: 2012-11-16.22:05:12
I would like to browse interactively through all changes made to a
specific file. The command

darcs changes -i --only-to-files the/file/i/am/interested

offers me the patches that made some changes to
the/file/i/am/interested. But if I display the changes in full (by
hitting 'x' in the dialog), I not only see the changes made to the
specific file but all changes of the patch.

I would expect to see only the changes to the/file/i/am/interested.

I've attached a possible regression test.
Attachments
msg16562 (view) Author: ganesh Date: 2013-02-04.01:08:19
One thing to watch out for when fixing this is that it works properly even when the file has 
been renamed. So for example you should be able to do darcs changes --only-to-files 
/current/name of file and see the changes to the file even before it was renamed.

I haven't checked if the current code does actually even select the right patches in this 
situation, but if it doesn't, it ought to!

I think there may also be more advanced options where you can specify a file by its name at 
some point in the past, so worth having a quick check on that.
msg16655 (view) Author: noreply Date: 2013-02-16.15:58:52
The following patch sent by Sebastian Fischer <mail@sebfisch.de> updated issue issue2270 with
status=resolved;resolvedin=2.10.0 HEAD

* resolve issue2270: fixed darcs changes -i --only-to-files 
Ignore-this: 73eaf3b88fb7eb74f08a6924d904d7c7

`darcs changes --interactive --only-to-files` now only shows changes
to relevant files.

The options `--interactive` and `--verbose` now use the same filtering
code in presence of `--only-to-files`, so interactively shown changes
are the same as verbosely shown changes: with `--only-to-files` only
changes to the listed files are shown, without this option all changes
to files recorded together with listed files are shown.
History
Date User Action Args
2012-11-16 22:05:15StefanWehrcreate
2013-02-04 01:08:21ganeshsetnosy: + ganesh
messages: + msg16562
2013-02-16 15:58:53noreplysetstatus: unknown -> resolved
messages: + msg16655
resolvedin: 2.10.0 HEAD